Package weka.core.pmml.jaxbbindings

# Enum Class MISSINGVALUESTRATEGY

java.lang.Object
java.lang.Enum<MISSINGVALUESTRATEGY>
weka.core.pmml.jaxbbindings.MISSINGVALUESTRATEGY

All Implemented Interfaces:
  `Serializable`, `Comparable<MISSINGVALUESTRATEGY>`, `Constable`

public enum MISSINGVALUESTRATEGY extends Enum<MISSINGVALUESTRATEGY>

Java class for MISSING-VALUE-STRATEGY.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="MISSING-VALUE-STRATEGY">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="lastPrediction"/>
         <enumeration value="nullPrediction"/>
         <enumeration value="defaultChild"/>
         <enumeration value="weightedConfidence"/>
         <enumeration value="aggregateNodes"/>
         <enumeration value="none"/>
       </restriction>
     </simpleType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AGGREGATE_NODES`
  `DEFAULT_CHILD`
  `LAST_PREDICTION`
  `NONE`
  `NULL_PREDICTION`
  `WEIGHTED_CONFIDENCE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MISSINGVALUESTRATEGY`
  `fromValue(String v)`
  `String`
  `value()`
  `static MISSINGVALUESTRATEGY`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static MISSINGVALUESTRATEGY[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AGGREGATE_NODES

    public static final MISSINGVALUESTRATEGY AGGREGATE_NODES

  - ### DEFAULT_CHILD

    public static final MISSINGVALUESTRATEGY DEFAULT_CHILD

  - ### LAST_PREDICTION

    public static final MISSINGVALUESTRATEGY LAST_PREDICTION

  - ### NONE

    public static final MISSINGVALUESTRATEGY NONE

  - ### NULL_PREDICTION

    public static final MISSINGVALUESTRATEGY NULL_PREDICTION

  - ### WEIGHTED_CONFIDENCE

    public static final MISSINGVALUESTRATEGY WEIGHTED_CONFIDENCE

- ## Method Details

  - ### values

    public static MISSINGVALUESTRATEGY[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MISSINGVALUESTRATEGY valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()

  - ### fromValue

    public static MISSINGVALUESTRATEGY fromValue(String v)